#!/bin/bash
##SBATCH --nodes=2
#SBATCH --ntasks=8              # Nombre total de processus MPI
#SBATCH --ntasks-per-node=16
##SBATCH --cpus-per-task=1
#SBATCH --hint=nomultithread
#SBATCH -t 00:10:00              # Temps elapsed maximum d'exécution
#SBATCH -o Test_client.out     # Nom du fichier de sortie
#SBATCH -e Test_client.err     # Nom du fichier d'erreur
##SBATCH -p cpu_port             # Nom de la partition d'exécution
##SBATCH -A sos@cpu
##SBATCH --distribution=arbitrary
#SBATCH --account=psl@cpu


cd ${SLURM_SUBMIT_DIR}

module purge
module load intel-all/19.0.4
module load netcdf/4.7.0/intel-19.0.4-mpi
module load netcdf-cxx/4.2/intel-19.0.4-mpi
module load netcdf-fortran/4.4.5/intel-19.0.4-mpi
module load gcc/6.5.0/gcc-4.8.5
module load cmake
module load cdo
#module load arm-forge

ulimit -c 0
#export ALLINEA_NO_TIMEOUT=1

#ddt --connect srun --mpi=pmi2 -K1 -m block:block --multi-prog ./mpmd_srun.conf
#srun --mpi=pmi2 -K1 --multi-prog -m cyclic ./mpmd_srun.conf
export machine_name=jeanzay

# python user_config.py
export output=$(python user_config.py 2>&1 >/dev/null)

if [ "$output" -ne 0 ]
then
	echo "user_config.py failed"
	exit
else
	echo "user_config.py OK"
fi

cmake .
ctest -V 
make report

#srun --mpi=pmi2 -K1 --multi-prog -m cyclic ./srun.conf
#srun --mpi=pmi2 ../bin/test_client.exe


